/* Recreate objects script.
 * 
 * Generated via Object Desktop Package File 'Object^Inspector'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

Call CreateObjects

Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPProgram',,
    'Radio',,
    '<WP_START>',,
    'NOPRINT=YES;'||,
        'DEFAULTVIEW=RUNNING;'||,
        'ICONPOS=1,7;'||,
        'EXENAME=RADIO.EXE;'||,
        'PARAMETERS=;'||,
        'PROGTYPE=PM',,
    CreateCollision )

rc = CreateObject( 'WPFolder',,
    'Radio',,
    '<MMPM2_FOLDER>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        ';'||,
        ';'||,
        'HELPPANEL=15685;'||,
        'ICONPOS=10,9;'||,
        'SELFCLOSE=1;'||,
        'ICONVIEWPOS=36 42 34 18;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'OBJECTID=<Radio_TV>',,
    CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'FM Radio',,
      '<Radio_TV>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ICONPOS=3,9;'||,
          'EXENAME=FMRADIO.EXE;'||,
          'PARAMETERS=;'||,
          'PROGTYPE=PM',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Radio Set',,
      '<Radio_TV>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ICONPOS=21,9;'||,
          'EXENAME=RADIO.EXE;'||,
          'PARAMETERS=[Frequency ?];'||,
          'PROGTYPE=PM',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Radio Off',,
      '<Radio_TV>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ICONPOS=9,9;'||,
          'EXENAME=RADIO.EXE;'||,
          'PARAMETERS=off;'||,
          'PROGTYPE=PM',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Radio On',,
      '<Radio_TV>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ICONPOS=15,9;'||,
          'EXENAME=RADIO.EXE;'||,
          'PARAMETERS=on;'||,
          'PROGTYPE=PM',,
      CreateCollision )


return

